/// Automatically color the text according to the $bgColor
/// @param  {color} $bgColor Background color of the current Tag
/// @return {color} The value according to the $bgColor
@function get-text-contrast($bgColor) {
  $color-brightness: round((red($bgColor) * 299) + (green($bgColor) * 587) + (blue($bgColor) * 114) / 1000);
  $light-color: round((red(#ffffff) * 299) + (green(#ffffff) * 587) + (blue(#ffffff) * 114) / 1000);

  @if abs($color-brightness) < ($light-color/2){
    @return white;
  }

  @else {
    @return black;
  }
}

.btn-outlined {
  padding: .5em 2em;
  text-decoration: none !important;
  user-select: none !important;
  outline: none !important;
  cursor: pointer;
  transition: .4s;
  background-color: $color-primary;
  border: 1px solid $color-primary;
  color: get-text-contrast($color-primary);

  &:hover {
    background-color: get-text-contrast($color-primary);
    color: $color-primary;
  }
}

.btn-outlined-invert {
  padding: .5em 2em;
  text-decoration: none !important;
  user-select: none !important;
  outline: none !important;
  cursor: pointer;
  transition: .4s;
  border: 1px solid get-text-contrast($color-primary);

  background-color: $color-primary;
  color: get-text-contrast($color-primary);

  &:hover {
    color: $color-primary !important;
    background-color: get-text-contrast($color-primary);
  }
}
